Subject: Re: [pim] release of a igmp/mld proxy

From: Abdelkader Lahmadi <[email-masked]>
Date: Fri, 20 Dec 2013 13:09:08 +0100 (CET)

Dear all,
Please also consider our implementation of an IGMPv3 proxy. It was integrated in DD-WRT :

http://svn.dd-wrt.com/browser/src/router/igmp-proxy?rev=8841&order=name

It acts as a daemon and supports IGMPv3.
Best regards
/Abdelkader Lahmadi

----- Mail original -----
> De: "Toerless Eckert" <[email-masked]>
> À: "Sebastian Woelke" <[email-masked]>
> Cc: [email-masked]
> Envoyé: Vendredi 20 Décembre 2013 09:11:11
> Objet: Re: [pim] release of a igmp/mld proxy
> 
> Thanks, Sebastian, sounds good!
> 
> On Fri, Dec 20, 2013 at 04:43:12AM +0100, Sebastian Woelke wrote:
> > hi,
> > 
> > thank you for your questions, here are my answers:
> > 
> > >Q1: I am totally not up to date on the freeware linux development
> > >side. How does
> > >this mcproxy compare to any other linux software modules with
> > >which
> > >to build
> > >eg: a linux router for multicast (what other options in SW are
> > >available ?).
> > 
> > There are two notable linux multicast proxies:
> > igmpproxy (http://sourceforge.net/projects/igmpproxy):
> >  - supports IGMPv2
> >  - uses the multicast routing table of the linux kernel
> > 
> > ecmh (http://sourceforge.net/p/ecmh):
> >  - supports MLDv1/2
> >  - independent of the linux kernel via userspace routing
> > 
> > igmpproxy doesn't support multiple instances and missing IGMPv3.
> > And ecmh only supports the slower userspace routing.
> > 
> > >Q2: Any existing or future plans to incude this into common linux
> > >router
> > >distributions - DD-WRT or the like ?
> > 
> > The mcproxy is developed and tested only on ubuntu, but yes I want
> > to
> > porting it to the more relevant distributions in this field
> > (OpenWRT,
> > DD-WRT).
> > 
> > >Q3: How much will the implementation protect against killing SSM
> > >by
> > >ASM receivers ? Aka: If  your proxy receives an IGMPv3
> > >INCLUDE(S,G1)
> > >membership from host 1 and an IGMPv3 EXCLUDE({},G1) from host 2,
> > >what
> > >will it send out on the upstream interface ?
> > 
> > Very interesting question, I never thought about this problem. So
> > the
> > current version would sends unaware of any protection the report
> > EXCLUDE({},G1) to the upstream.
> > But I think I could update the proxy in the following way:
> > Currently it is possible to define filter rules, for example
> > ???forward
> > only data of the channel (S,G1) to the downstream interface eth0
> > and
> > ignore all other data???. In this case, if the proxy receives an
> > IGMPv3
> > EXCLUDE({}, G1) on the downstream interface eth0, it could be
> > easily
> > converted to the report INCLUDE(S,G1).
> > 
> > Kind regards,
> > Sebastian
> > 
> > 
> > >On Thu, Dec 19, 2013 at 04:48:08PM +0100, Sebastian Woelke wrote:
> > >>Hi,
> > >>
> > >>I would like to announce a new version of the mcproxy. It can be
> > >>downloaded from our project page (http://mcproxy.realmv6.org/).
> > >>The mcproxy complies the IGMP/MLD proxy standard (RFC 4605) and
> > >>supports the group membership protocols IGMPv3 and MLDv2 as well.
> > >>In additional it meets the requirements of the multicast source
> > >>and
> > >>listener support in proxy mobile IPv6
> > >>(draft-ietf-multimob-pmipv6-source-06 and RFC 6224).
> > >>
> > >>Key features:
> > >> - supports IPv4 (IGMPv3)
> > >> - supports IPv6 (MLDv2)
> > >> - can be instantiated multiple times
> > >> - dynamically configurable at runtime
> > >> - can be configured to peer data between its instances
> > >> - supports multiple upstreams
> > >>
> > >>
> > >>For further questions and comments don't hesitate to contact me.
> > >>
> > >>Kind regards,
> > >>Sebastian
> > >>_______________________________________________
> > >>pim mailing list
> > >>[email-masked]
> > >>https://www.ietf.org/mailman/listinfo/pim
> 
> --
> ---
> Toerless Eckert, [email-masked]
> Cisco NSSTG Systems & Technology Architecture
> SDN: Let me play with the network, mommy!
> 
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim
>